%define libmaj 0
%define libmin 9
%define librel 6
Release: 1.0.11

%define openssldir /etc/ssl

Summary: Secure Sockets Layer and cryptography libraries and tools
Name: openssl
Version: %{libmaj}.%{libmin}.%{librel}
Source0: ftp://ftp.openssl.org/source/%{name}-%{version}.tar.gz
Patch0: openssl-%{libmaj}.%{libmin}.%{librel}-configure.patch
Copyright: Freely distributable
Group: Applications/Cryptography
Provides: SSL
URL: http://www.openssl.org/
BuildRoot:   /var/tmp/%{name}-%{version}-root

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols with full-strength cryptography world-wide. The project is
managed by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL tookit and its related
documentation. 

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes. 

This package contains the base OpenSSL cryptography and SSL/TLS 
libraries and tools.

%package misc
Summary: OpenSSL X.509 tools
Group: Applications/Cryptography
Requires: openssl
%description misc
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols with full-strength cryptography world-wide. The project is
managed by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL tookit and its related
documentation. 

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes. 

This package contains assorted scripts for X.509 certificate generation
and processing.

%package devel
Summary:  OpenSSL - Secure Sockets Layer and cryptography static libraries and headers
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the the OpenSSL cryptography and SSL/TLS
static libraries and header files required when developing applications.

Note: Built without RC5 and IDEA ciphers to avoid patent infringement.

%prep

%setup -q
%patch0 -p1 -b .configure

%build 
CC="$RPM_OPT_FLAGS" \
./Configure --prefix=/usr --openssldir=%{openssldir} no-idea no-rc5 linux-elf
make all
make linux-shared

%install
rm -rf $RPM_BUILD_ROOT
make install MANDIR=%{_mandir} INSTALL_PREFIX="$RPM_BUILD_ROOT"

# Rename manpages
for x in $RPM_BUILD_ROOT%{_mandir}/man*/* 
	do mv ${x} ${x}ssl
done

# Install shared libs
install -m755 libcrypto.so.%{libmaj}.%{libmin}.%{librel} $RPM_BUILD_ROOT/usr/lib
install -m755 libssl.so.%{libmaj}.%{libmin}.%{librel} $RPM_BUILD_ROOT/usr/lib
(
	cd $RPM_BUILD_ROOT/usr/lib
	ln -s libcrypto.so.%{libmaj}.%{libmin}.%{librel} libcrypto.so.%{libmaj}
	ln -s libcrypto.so.%{libmaj}.%{libmin}.%{librel} libcrypto.so
	ln -s libssl.so.%{libmaj}.%{libmin}.%{librel} libssl.so.%{libmaj}
	ln -s libssl.so.%{libmaj}.%{libmin}.%{librel} libssl.so
)

# Move misc tools to /usr/bin
mv $RPM_BUILD_ROOT/%{openssldir}/misc/* $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(0644,root,root,0755)
%doc CHANGES CHANGES.SSLeay LICENSE NEWS README
%doc doc
%doc %{_mandir}/man*/*

%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_libdir}/*.so*
%attr(0644,root,root) %config(noreplace) %{openssldir}/openssl.cnf 
%dir %attr(0755,root,root) %{openssldir}/certs
%dir %attr(0750,root,root) %{openssldir}/private
%attr(0750,root,root) %dir /etc/ssl

%files misc
%attr(0755,root,root) /usr/bin/CA.pl
%attr(0755,root,root) /usr/bin/CA.sh
%attr(0755,root,root) /usr/bin/c_hash
%attr(0755,root,root) /usr/bin/c_info
%attr(0755,root,root) /usr/bin/c_issuer
%attr(0755,root,root) /usr/bin/c_name
%attr(0755,root,root) /usr/bin/der_chop

%files devel
%defattr(-,root,root)
%doc demos
%{_includedir}/openssl
%attr(0644,root,root) %{_libdir}/*.a

%post
ldconfig

%postun
ldconfig

%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.6, Release 1.0.11
  - Fixed Daves patch which was breaking the i386 build. :)


* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- fix oops with libssl.so.*

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- fixed libssl package problem

* Tue Nov 21 2000 Dave Wreski <dave@guardiandigital.com>
- added devel package

* Sat Oct 28 2000 Dave Wreski <dave@guardiandigital.com>
- fhs cleanup
- upgrade to 0.9.6
- makefile patch to remove -g from openssl compile
- removed rsaref files

* Fri Aug 11 2000 Dave Wreski <dave@guardiandigital.com>
- initial rpm from Damien Miller spec file
